com.hazelcast.spi

## Interface ProxyService

- All Superinterfaces:
    CoreService

      public interface ProxyService
      extends CoreService

  A `CoreService` responsible for managing the DistributedObject proxies.
  Author:
    mdogan 1/14/13

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `addProxyListener(DistributedObjectListener distributedObjectListener)`
    `void` | `destroyDistributedObject(String serviceName, String objectId)`
    `Collection<DistributedObject>` | `getAllDistributedObjects()`
    `DistributedObject` | `getDistributedObject(String serviceName, String objectId)`
    `Collection<String>` | `getDistributedObjectNames(String serviceName)`
    `Collection<DistributedObject>` | `getDistributedObjects(String serviceName)`
    `int` | `getProxyCount()`
    `void` | `initializeDistributedObject(String serviceName, String objectId)`
    `boolean` | `removeProxyListener(String registrationId)`

- - ### Method Detail

    - #### getProxyCount

          int getProxyCount()

    - #### initializeDistributedObject

          void initializeDistributedObject(String serviceName,
                                           String objectId)

    - #### getDistributedObject

          DistributedObject getDistributedObject(String serviceName,
                                                 String objectId)

    - #### destroyDistributedObject

          void destroyDistributedObject(String serviceName,
                                        String objectId)

    - #### getDistributedObjects

          Collection<DistributedObject> getDistributedObjects(String serviceName)

    - #### getDistributedObjectNames

          Collection<String> getDistributedObjectNames(String serviceName)

    - #### getAllDistributedObjects

          Collection<DistributedObject> getAllDistributedObjects()

    - #### addProxyListener

          String addProxyListener(DistributedObjectListener distributedObjectListener)

    - #### removeProxyListener

          boolean removeProxyListener(String registrationId)

Copyright © 2019. All rights reserved.